<script>
import BaseComponent from '@primevue-ce/core/basecomponent';
import IconFieldStyle from '@primevue-ce/primevue/iconfield/style';

export default {
    name: 'BaseIconField',
    extends: BaseComponent,
    style: IconFieldStyle,
    provide() {
        return {
            $pcIconField: this,
            $parentInstance: this
        };
    }
};
</script>
